Records

List the records for a project

get

List the records for the specified project

Authorizations
AuthorizationstringRequired
Path parameters
projectIdstringRequired

The project ID

Responses
chevron-right
200

successful operation

application/json
get
/projects/{projectId}/records

Create a new project record with a server generated ID

post

Create a new project record with a server generated ID

Authorizations
AuthorizationstringRequired
Path parameters
projectIdstringRequired

The project ID

Body

Refer to the /schemas/record endpoint for the full JSON Schema definition

and
anyOptional
anyOptional
or
or
or
Responses
chevron-right
200

successful operation

application/json
post
/projects/{projectId}/records

Update an existing project record

put

Update an existing project record

Authorizations
AuthorizationstringRequired
Path parameters
projectIdstringRequired

The project ID

recordIdstringRequired

The record ID

Body

Refer to the /schemas/record endpoint for the full JSON Schema definition

and
anyOptional
anyOptional
or
or
or
Responses
chevron-right
200

successful operation

application/json
put
/projects/{projectId}/records/{recordId}